import { MockMethod } from 'vite-plugin-mock';
import { Random } from 'mockjs';
import { resultPageSuccess } from '../_util';

function getRandomPics(count = 30): string[] {
  const arr: string[] = [];
  for (let i = 0; i < count; i++) {
    arr.push(Random.image('800x600', Random.color(), Random.color(), Random.title()));
  }
  return arr;
}

const demoList = (() => {
  const result: any[] = [];
  for (let index = 0; index < 200; index++) {
    result.push({
      id: `${index}`,
      name: '@ctitle()',
      email: '@email()',
      phone: '@integer(10000000000, 99999999999)',
      avatar: getRandomPics(1)[0],
    });
  }
  return result;
})();

export default [
  {
    url: '/basic-api/crm/email/getUserList',
    method: 'post',
    statusCode: 200,
    response: ({ query }) => {
      const { page = 1, pageSize = 30 } = query;
      return resultPageSuccess(page, pageSize, demoList);
    },
  },
] as MockMethod[];
